org.keycloak.migration

## Class MigrationModelManager

- java.lang.Object
- - org.keycloak.migration.MigrationModelManager

-     public class MigrationModelManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ModelVersion` | `RHSSO_VERSION_7_0_KEYCLOAK_VERSION`
    `static ModelVersion` | `RHSSO_VERSION_7_1_KEYCLOAK_VERSION`
    `static ModelVersion` | `RHSSO_VERSION_7_2_KEYCLOAK_VERSION`
    `static ModelVersion` | `RHSSO_VERSION_7_3_KEYCLOAK_VERSION`
    `static ModelVersion` | `RHSSO_VERSION_7_4_KEYCLOAK_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationModelManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModelVersion` | `convertRHSSOVersionToKeycloakVersion(String version)`
    `static void` | `migrate(KeycloakSession session)`
    `static void` | `migrateImport(KeycloakSession session, RealmModel realm, RealmRepresentation rep, boolean skipUserDependent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RHSSO_VERSION_7_0_KEYCLOAK_VERSION

          public static final ModelVersion RHSSO_VERSION_7_0_KEYCLOAK_VERSION

    - #### RHSSO_VERSION_7_1_KEYCLOAK_VERSION

          public static final ModelVersion RHSSO_VERSION_7_1_KEYCLOAK_VERSION

    - #### RHSSO_VERSION_7_2_KEYCLOAK_VERSION

          public static final ModelVersion RHSSO_VERSION_7_2_KEYCLOAK_VERSION

    - #### RHSSO_VERSION_7_3_KEYCLOAK_VERSION

          public static final ModelVersion RHSSO_VERSION_7_3_KEYCLOAK_VERSION

    - #### RHSSO_VERSION_7_4_KEYCLOAK_VERSION

          public static final ModelVersion RHSSO_VERSION_7_4_KEYCLOAK_VERSION

  - ### Constructor Detail

    - #### MigrationModelManager

          public MigrationModelManager()

  - ### Method Detail

    - #### migrate

          public static void migrate(KeycloakSession session)

    - #### migrateImport

          public static void migrateImport(KeycloakSession session,
                                           RealmModel realm,
                                           RealmRepresentation rep,
                                           boolean skipUserDependent)

    - #### convertRHSSOVersionToKeycloakVersion

          public static ModelVersion convertRHSSOVersionToKeycloakVersion(String version)

Copyright © 2020 JBoss by Red Hat. All rights reserved.